Bug 426862 - Review Request: scanmem - Simple interactive debugging utility
Summary: Review Request: scanmem - Simple interactive debugging utility
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-27 16:54 UTC by Jakub Hrozek
Modified: 2008-01-29 05:12 UTC (History)
2 users (show)

Fixed In Version: 0.07-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 05:12:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jakub Hrozek 2007-12-27 16:54:43 UTC
Spec URL: http://hrozkovi.cz/scanmem.spec
SRPM URL: http://hrozkovi.cz/scanmem-0.07-2.fc7.src.rpm
Description: 
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

Comment 1 Parag AN(पराग) 2007-12-28 04:00:07 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
a28baa2cf69b58b2773e379a49dae11c  scanmem-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

SHOULD:
  You can make License as GPLv2+

Comment 2 Jakub Hrozek 2007-12-28 12:39:57 UTC
Thank you for reviewing the package! I'll fix the License tag as it's indeed
GPLv2+ (I got tricked by scanmem's home page..but the COPYING file in the
tarball makes it clear)

Comment 3 Jakub Hrozek 2007-12-28 12:41:51 UTC
New Package CVS Request
=======================
Package Name: scanmem
Short Description: Simple interactive debugging utility
Owners: jhrozek
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2007-12-28 17:54:04 UTC
note that the COPYING file doesn't matter. You should look at the source files
themselves. They do have the GPLv2+ language in them... 

cvs done.

Comment 5 Jakub Hrozek 2007-12-28 20:10:52 UTC
Built for rawhide with the correct License tag:
http://koji.fedoraproject.org/koji/taskinfo?taskID=313260

Comment 6 Parag AN(पराग) 2007-12-31 10:44:17 UTC
Jakub,
   upstream should be kindly asked to update the web page to say that this
project is released under GPLv2 or any later version.

Comment 7 Fedora Update System 2008-01-11 22:09:21 UTC
scanmem-0.07-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scanmem'

Comment 8 Fedora Update System 2008-01-29 05:12:48 UTC
scanmem-0.07-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.